Subject: bug#25474: 26.0.50; Buffer content invisible

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Jan 2017 20:30:28 +0200

> From: "Ivor Durham" <[email-masked]>
> Cc: <[email-masked]>
> Date: Wed, 18 Jan 2017 09:24:47 -0800
> 
> The cursor does not appear. If I click in the buffer area the cut and copy
> icons highlight while the mouse is down.
> 
> "emacs -Q -bg blue -fg red" produces a blue background for the buffer but no
> text appears in red when I type.
> 
> "emacs -Q -fn 8x12" reports "Font '8x12' is not defined". However, I checked
> my .Xdefaults and it specifies "emacs*font" as "9x15". Using "9x15" instead
> of "8x12" the window opens with the blank buffer area.

Can you reconfigure with --enable-checking='yes,glyphs', rebuild, and
then invoke "M-x dump-glyph-matrix RET" after starting Emacs from the
shell command line?  Please tell what does that show in the shell
window.

Thanks.